SMTP(8)

NAME
smtp, smtpqer, smtpd, smtpsched - handle simple mail transfer protocol

SYNOPSIS
/usr/lib/upas/smtp [ option ... ] replyaddr dest recipient ...

/usr/lib/upas/smtpqer [ option ... ] replyaddr dest recipient ...

/usr/lib/upas/smtpd [ -n ] [ -H host ]

/usr/lib/upas/smtpsched [ option ... ] [ queue ... ]

DESCRIPTION
Smtp reads a mail message from the standard input, and sends it with the Internet SMTP protocol to the named recipients at network address dest. Dest has default network tcp and default service tcp.25 (the conventional Internet SMTP port). Error reports are mailed to local address replyaddr.

Smtp operates in two modes, `Internet' (default) and `Unix'. In Internet mode recipient addresses should be in full domain form. and headers will be inserted as necessary to conform to Internet standards. In Unix mode addresses and message contents are not touched. The options are

-u  Run in Unix mode.

-H host
    Use host as the name of the sending system (taken from whoami(5) by default).

-d domain
    Append the specified domain suffix to incomplete addresses.

Smtpqer reads a mail message from the standard input and stashes it away to be sent later by smtpsched. By default, smtpsched is started immediately; option -n prevents this. Other options and arguments are the same as for smtp.

Smtpd receives a message by speaking the server part of SMTP on the standard input and output. The message is stashed in a queue for later delivery as by smtpqer. Option -n prevents smtpsched from running immediately; option -H is as for smtp.

Smtpsched processes the queues assembled by smtpqer and smtpd, calling mail(1) for local messages and smtp for others. It should be run occasionally from cron(8).

The queue arguments name particular queue directories to be processed; if no queue is named, all queues are processed. The options are

-w days
    Send a warning about each message more than days old to the reply address.

-r days
    Mail an error reply about each message more than days old, and discard the message.

-s nproc
    Do not run more than nproc simultaneous copies of smtpsched started with this option.

-c  Remove empty directories and inconsistent files.

-t  Log actions without performing them.

-C  Process `C' command files (smtp calls) only.

-X  Process `X' command files (rmail calls) only.

-v  Enable verbose logging.

The queues are kept in subdirectories of named by splitting the lower case remote system name into components separated by periods, concatenating the last two or fewer components, taking the last 14 characters, and stripping leading periods.

FILES

/usr/spool/smtpq
    spooling directory

/usr/spool/smtpq/smtpqsched.log
    logging

/usr/spool/smtpq/.consumers
    list of process IDs running smptqsched -s

SEE ALSO
mail(1), upas(8), smstat(8)
DARPA standards RFC 822, RFC 976